### Hierarchy

- ILevel

### Implemented by

- LevelMap
- MessageLevel

## Index

### Properties

- __incrementCoverage
- getMessage
- getRows
- isMap

### Methods

- getHeight
- getWidth

## Properties

### __incrementCoverage

__incrementCoverage: function

- Defined in models/level.ts:8

#### Type declaration

- - (): void

  - #### Returns void

### getMessage

getMessage: function

- Defined in models/level.ts:7

#### Type declaration

- - (): string

  - #### Returns string

### getRows

getRows: function

- Defined in models/level.ts:6

#### Type declaration

- - (): IGameTile[][]

  - #### Returns IGameTile[][]

### isMap

isMap: function

- Defined in models/level.ts:5

#### Type declaration

- - (): boolean

  - #### Returns boolean

## Methods

### getHeight

- getHeight(): number

- - Defined in models/level.ts:10

  #### Returns number

### getWidth

- getWidth(): number

- - Defined in models/level.ts:9

  #### Returns number

Generated using TypeDoc